Title: [249103] trunk/Source/ThirdParty/ANGLE
Revision
249103
Author
[email protected]
Date
2019-08-26 10:36:28 -0700 (Mon, 26 Aug 2019)

Log Message

Add a script to update ANGLE
https://bugs.webkit.org/show_bug.cgi?id=201109

Patch by James Darpinian <[email protected]> on 2019-08-26
Reviewed by Alex Christensen.

* update-angle.sh: Added.

Modified Paths

Added Paths

Diff

Modified: trunk/Source/ThirdParty/ANGLE/ChangeLog (249102 => 249103)


--- trunk/Source/ThirdParty/ANGLE/ChangeLog	2019-08-26 17:21:28 UTC (rev 249102)
+++ trunk/Source/ThirdParty/ANGLE/ChangeLog	2019-08-26 17:36:28 UTC (rev 249103)
@@ -1,3 +1,12 @@
+2019-08-26  James Darpinian  <[email protected]>
+
+        Add a script to update ANGLE
+        https://bugs.webkit.org/show_bug.cgi?id=201109
+
+        Reviewed by Alex Christensen.
+
+        * update-angle.sh: Added.
+
 2019-08-16  Keith Rollin  <[email protected]>
 
         Add XCBuild support to ANGLE

Added: trunk/Source/ThirdParty/ANGLE/update-angle.sh (0 => 249103)


--- trunk/Source/ThirdParty/ANGLE/update-angle.sh	                        (rev 0)
+++ trunk/Source/ThirdParty/ANGLE/update-angle.sh	2019-08-26 17:36:28 UTC (rev 249103)
@@ -0,0 +1,68 @@
+#!/bin/bash
+
+set -e
+cd "$(dirname ${BASH_SOURCE[0]})"
+
+ANGLE_DIR="$PWD"
+
+echo "This will clobber any changes you have made in:"
+echo "$ANGLE_DIR"
+read -p "Are you sure? [y/N] " -n 1 -r
+echo
+if [[ ! $REPLY =~ ^[Yy]$ ]]; then
+    echo "Canceled."
+    exit
+fi
+
+# First, preserve WebKit's additional files
+TEMPDIR=`mktemp -d`
+function cleanup {
+    cp -a "$TEMPDIR/." "$ANGLE_DIR"
+    rm -rf "$TEMPDIR"
+}
+trap cleanup EXIT
+mv \
+    ANGLE.plist \
+    ANGLE.xcodeproj \
+    CMakeLists.txt \
+    ChangeLog \
+    *.cmake \
+    Configurations \
+    Makefile \
+    adjust-angle-include-* \
+    update-angle.sh \
+    changes.diff \
+    "$TEMPDIR"
+mkdir "$TEMPDIR/include"
+mv include/CMakeLists.txt "$TEMPDIR/include"
+
+# Remove all files including hidden ones, but not . or ..
+rm -rf ..?* .[!.]* *
+echo "Downloading latest ANGLE via git clone."
+git clone https://chromium.googlesource.com/angle/angle . --depth 1
+echo "Successfully downloaded latest ANGLE."
+echo -n "Commit hash: "
+git rev-parse HEAD
+
+trap - EXIT
+cleanup
+
+echo "Applying patch from changes.diff."
+if ! git am changes.diff; then
+    echo "ERROR: Patch failed."
+    echo "You must resolve any merge conflicts, then use \`git format-patch master\`"
+    echo "to regenerate changes.diff so that it will apply cleanly next time."
+    echo "Once you are done, be sure to delete the .git directory."
+    FAILED_PATCH=true
+else
+    rm -rf .git
+fi
+
+echo
+echo "Required manual steps:"
+if [ "$FAILED_PATCH" = true ]; then
+    echo "    - Finish the patching process as described above."
+fi
+echo "    - Update the XCode project with any new or deleted ANGLE source files."
+echo "    - Update the CMake files with any new or deleted ANGLE source files."
+echo "    - Update ANGLE.plist with the new commit hash."
Property changes on: trunk/Source/ThirdParty/ANGLE/update-angle.sh
___________________________________________________________________

Added: svn:executable

+* \ No newline at end of property
_______________________________________________
webkit-changes mailing list
[email protected]
https://lists.webkit.org/mailman/listinfo/webkit-changes

Reply via email to